Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062532 - tkdnd-2.6 is available
Summary: tkdnd-2.6 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tkdnd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sander Hoentjen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 07:53 UTC by Christopher Meng
Modified: 2014-04-25 03:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 03:26:39 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-02-07 07:53:46 UTC
I'm unable to say anything when I checked this package and found ONLY Fedora ships the version released in 2002 still.

Please update to 2.6, this is needed by my package which is going to be included into Fedora.

http://sourceforge.net/projects/tkdnd/files/TkDND/

Comment 1 Sander Hoentjen 2014-03-03 21:59:54 UTC
Hi Christopher,

I just build 2.6 for rawhide. Do you need it for F20 as well?

Comment 2 Christopher Meng 2014-03-04 00:59:52 UTC
(In reply to Sander Hoentjen from comment #1)
> Hi Christopher,
> 
> I just build 2.6 for rawhide. Do you need it for F20 as well?

Hmm...

Yes.

(But I no longer need this package now, because the software I'm packaging is moving to Qt5)

Please update and I will find a package which depends on this and package it also.

Comment 3 Christopher Meng 2014-03-04 01:04:50 UTC
build.log:

checking for X... libraries , headers 
checking for X11 header files... couldn't find any!

checking if rpath support is requested... yes

Comment 4 Sander Hoentjen 2014-03-06 10:26:16 UTC
But also:
gcc -shared -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -pipe  -Wall -fPIC  -Wl,-z,relro  -Wl,--export-dynamic  -o libtkdnd2.6.so TkDND_XDND.o tkUnixSelect.o Cursors.o -lX11  -L/usr/lib64 -ltclstub8.5 -L/usr/lib64 -ltkstub8.5

This has -lX11 and no -rpath so there is something fishy with the configure script. Did you actually find issues with the build, or is it solely an issue in build.log? For me it seems okay when testing.

Comment 5 Christopher Meng 2014-03-06 10:36:04 UTC
(In reply to Sander Hoentjen from comment #4)
> But also:
> gcc -shared -O2 -g -pipe -Wall -Werror=format-security
> -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
> --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -pipe 
> -Wall -fPIC  -Wl,-z,relro  -Wl,--export-dynamic  -o libtkdnd2.6.so
> TkDND_XDND.o tkUnixSelect.o Cursors.o -lX11  -L/usr/lib64 -ltclstub8.5
> -L/usr/lib64 -ltkstub8.5
> 
> This has -lX11 and no -rpath so there is something fishy with the configure
> script. Did you actually find issues with the build, or is it solely an
> issue in build.log? For me it seems okay when testing.

I just found these via build.log, but as I can see from the dependencies, only tcl is pulled. So I don't think there has any problem now......

Thanks!


Note You need to log in before you can comment on or make changes to this bug.